# NETCFG(8)

## NAME

netcfg - start/stop/control network profiles

## SYNOPSIS

netcfg [options]

netcfg profile

## DESCRIPTION

netcfg is used to configure and manage network connections via profiles. It has pluggable support for a range of connection types, such as wireless, ethernet, ppp. It is also capable of starting/stopping many to one connections, that is, multiple connections within the same profile, optionally with bonding.

It may be run at boot, by enabling the /etc/rc.d/net-profiles daemon in /etc/rc.conf `DAEMONS` line. After boot time, it may be used to start profiles, simply by passing only the profile name.

When run without options, `netcfg profile` is equivalent to `netcfg -u profile`.

## OPTIONS

-l, list

  List all available profiles

current

  Report currently running profiles

-c, check-iface profile

  Start the specified profile, only if it’s interface is not currently up.

-u, up profile

  Start the specified profile

-r, reconnect profile

  Disconnect and reconnect the specified profile

-R, iface-recon interface

  Reconnect profile active on specified interface

-d, down profile

  Stop the specified profile

-D, iface-down interface

  Stop the profile up on the specified interface.

-a, all-down

  Stop all connected profiles

all-suspend

  Suspend and store the name of all active profiles.

all-resume

  Reconnect any profiles that have been suspended.

-v, --version

  Display version information and exit

-h, --help

  Display help message and exit

## CONFIGURATION FILES

/etc/conf.d/netcfg

  Parameters for startup.

/etc/network.d/

  User-defined profiles.

## FILES

/usr/lib/network/connections/

  Currently installed network profile types.

/etc/network.d/examples/

  Example profiles.

/usr/share/doc/netcfg/contrib/

  Inspirational scripts.

## ENVIRONMENT VARIABLES

`NETCFG_DEBUG`

  Set to 1 to activate debug output.

## SEE ALSO

netcfg-profiles(5) on how to configure netcfg.

More information can be found at https://wiki.archlinux.org/index.php/Netcfg.

## BUGS

For bugtracking, http://bugs.archlinux.org/ is used.

## AUTHORS

netcfg has many contributors. For a list of contributors, use `git shortlog -s` on the netcfg.git repository.

Current maintainer:

- Jouke Witteveen <j.witteveen@gmail.com>

Past maintainers:

- Rémy Oudompheng <remy@archlinux.org>

- James Rayner <james@archlinux.org>